Package ru.bitel.bgbilling.modules.card.server.bean

# Class DPaymentManager

java.lang.Object
ru.bitel.bgbilling.modules.card.server.bean.DPaymentManager

public class DPaymentManager extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DPaymentManager(Preferences moduleSetup, Connection con, int mid)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DPayment`
  `addPayment(Dealer dealer, DPayment dpayment)`
  `int`
  `cancelPayment(Dealer dealer, int cid, int id)`
  Отмена платежа дилером.
  `int`
  `cancelPayment(Dealer dealer, int cid, String transId)`
  Отмена платежа дилером.
  `int`
  `cancelPayment(Dealer dealer, DPayment payment)`
  Отмена платежа дилером.
  `List<DPaymentList>`
  `getDealerPaymentReport(String dealerids, Date date1, Date date2, Page page)`
  `DPayment`
  `getDPayment(Date date, int dealerId, int id)`
  `DPayment`
  `getDPayment(Date date, int dealerId, int cid, int id)`
  `DPayment`
  `getDPayment(Date date, int dealerId, int cid, String transId)`
  `DPaymentList`
  `getDPaymentList(int dealerId, Date dateFrom, Date dateTo, int type, Page page)`
  `int`
  `getMaxPage(int dealerId, Date dateFrom, Date dateTo, int type, int pageSize)`
  `List<DPayment>`
  `getPaymentList(int dealerId, Date dateFrom, Date dateTo, int type, Page page)`
  `protected List<DPayment>`
  `getPaymentListFromFile(String fileString)`
  `RevisePayments`
  `revisePayments(int id, Date dateFrom, Date dateTo, String fileString)`
  `void`
  `updateComission(int contractId, Date month)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DPaymentManager

    public DPaymentManager(Preferences moduleSetup, Connection con, int mid)

- ## Method Details

  - ### getPaymentList

    public List<DPayment> getPaymentList(int dealerId, Date dateFrom, Date dateTo, int type, Page page)

  - ### getDPaymentList

    public DPaymentList getDPaymentList(int dealerId, Date dateFrom, Date dateTo, int type, Page page)

  - ### getMaxPage

    public int getMaxPage(int dealerId, Date dateFrom, Date dateTo, int type, int pageSize)

  - ### getDPayment

    public DPayment getDPayment(Date date, int dealerId, int cid, int id)

  - ### getDPayment

    public DPayment getDPayment(Date date, int dealerId, int id)

  - ### getDPayment

    public DPayment getDPayment(Date date, int dealerId, int cid, String transId)

  - ### addPayment

    public DPayment addPayment(Dealer dealer, DPayment dpayment) throws ru.bitel.bgbilling.common.BGException
    Parameters:
      `dealer` -
      `dpayment` -
    Returns:
      null если платеж проведен и DPayment, если такой платеж уже есть
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### cancelPayment

    public int cancelPayment(Dealer dealer, int cid, String transId) throws Exception
    Отмена платежа дилером. Проверяется на период отмены
    Parameters:
      `dealer` -
      `cid` -
      `transId` -
    Returns:
    Throws:
      `Exception`

  - ### cancelPayment

    public int cancelPayment(Dealer dealer, int cid, int id) throws Exception
    Отмена платежа дилером. Проверяется на период отмены
    Parameters:
      `dealer` -
      `cid` -
      `id` -
    Returns:
    Throws:
      `Exception`

  - ### cancelPayment

    public int cancelPayment(Dealer dealer, DPayment payment) throws Exception
    Отмена платежа дилером. Проверяется на период отмены
    Parameters:
      `dealer` -
      `payment` -
    Returns:
    Throws:
      `Exception`

  - ### revisePayments

    public RevisePayments revisePayments(int id, Date dateFrom, Date dateTo, String fileString)

  - ### getPaymentListFromFile

    protected List<DPayment> getPaymentListFromFile(String fileString)

  - ### updateComission

    public void updateComission(int contractId, Date month) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getDealerPaymentReport

    public List<DPaymentList> getDealerPaymentReport(String dealerids, Date date1, Date date2, Page page)